Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Atomic_Op Class Template Reference

`#include <Atomic_Op.h>`

Inheritance diagram for ACE_Atomic_Op:

[legend]
Collaboration diagram for ACE_Atomic_Op:

[legend]
List of all members.

## Public Methods
| ACE_Atomic_Op (void)
| Initialize <value_> to 0. More...
| ACE_Atomic_Op (const TYPE &c)
| Initialize <value_> to c. More...
| ACE_Atomic_Op (const ACE_Atomic_Op< ACE_LOCK, TYPE > &)
| Manage copying... More...
void | operator= (const TYPE &i)
| Atomically assign i to <value_>. More...
void | operator= (const ACE_Atomic_Op_Ex< ACE_LOCK, TYPE > &rhs)
| Atomically assign <rhs> to <value_>. More...
void | operator= (const ACE_Atomic_Op< ACE_LOCK, TYPE > &rhs)
| Atomically assign <rhs> to <value_>. More...
## Private Attributes
ACE_LOCK | own_mutex_
| Type of synchronization mechanism. More...

### template<class ACE_LOCK, class TYPE>
class ACE_Atomic_Op< ACE_LOCK, TYPE >

## Constructor & Destructor Documentation

template<class ACE_LOCK, class TYPE>
ACE_Atomic_Op< ACE_LOCK, TYPE >::ACE_Atomic_Op | ( | void |  | ) |

| Initialize <value_> to 0.

template<class ACE_LOCK, class TYPE>
ACE_Atomic_Op< ACE_LOCK, TYPE >::ACE_Atomic_Op | ( | const TYPE & | c | ) |

| Initialize <value_> to c.

template<class ACE_LOCK, class TYPE>
ACE_INLINE ACE_Atomic_Op< ACE_LOCK, TYPE >::ACE_Atomic_Op | ( | const ACE_Atomic_Op< ACE_LOCK, TYPE > & | rhs | ) |

| Manage copying...

## Member Function Documentation

template<class ACE_LOCK, class TYPE>
ACE_INLINE void ACE_Atomic_Op< ACE_LOCK, TYPE >::operator= | ( | const ACE_Atomic_Op< ACE_LOCK, TYPE > & | rhs | ) |

| Atomically assign <rhs> to <value_>.

template<class ACE_LOCK, class TYPE>
ACE_INLINE void ACE_Atomic_Op< ACE_LOCK, TYPE >::operator= | ( | const ACE_Atomic_Op_Ex< ACE_LOCK, TYPE > & | rhs | ) |

| Atomically assign <rhs> to <value_>. Reimplemented from ACE_Atomic_Op_Ex.

template<class ACE_LOCK, class TYPE>
ACE_INLINE void ACE_Atomic_Op< ACE_LOCK, TYPE >::operator= | ( | const TYPE & | i | ) |

| Atomically assign i to <value_>. Reimplemented from ACE_Atomic_Op_Ex.

## Member Data Documentation

template<class ACE_LOCK, class TYPE>
ACE_LOCK ACE_Atomic_Op::own_mutex_`[private]`

| Type of synchronization mechanism.

The documentation for this class was generated from the following files:

- Atomic_Op.h
- Atomic_Op.cpp
- Atomic_Op.i